# AnswerPreCheckoutQueryOk - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.answers.payments / AnswerPreCheckoutQueryOk

# AnswerPreCheckoutQueryOk

(common) `data class AnswerPreCheckoutQueryOk : AnswerPreCheckoutQuery` (source)

### Constructors

(common)

#### <init>

`AnswerPreCheckoutQueryOk(preCheckoutQueryId: PreCheckoutQueryId)`

### Properties

(common)

#### isOk

`val isOk: Boolean`

(common)

#### preCheckoutQueryId

`val preCheckoutQueryId: PreCheckoutQueryId`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`